# Tourplaner: tourplaner.business.FileHelper Class Reference

tourplaner.business.FileHelper Class Reference

## Static Public Member Functions

static void | openDefault (String f)
static void | saveImage (Image img, String type, File file) throws IOException
static BufferedImage | getImage (File file) throws IOException
static boolean | delFile (File file)

## Member Function Documentation

## delFile()

static boolean tourplaner.business.FileHelper.delFile | ( | File | file | ) |

static

Löscht ein File

Parameters

  file | File das zu löschen ist

Returns
  false bei error

## getImage()

static BufferedImage tourplaner.business.FileHelper.getImage | ( | File | file | ) | throws IOException

static

Holt ein image von einem File

Parameters

  file | File mit dem image

Returns
  Das buffered image

Exceptions

  IOException | Fehler beim öffnen des bildes

## openDefault()

static void tourplaner.business.FileHelper.openDefault | ( | String | f | ) |

static

Öffnet ein File mit dem Standart Program

Parameters

  f | File Path als string

## saveImage()

static void tourplaner.business.FileHelper.saveImage | ( | Image | img,
|  | String | type,
|  | File | file
| ) |  | throws IOException

static

Speichert ein Image

Parameters

  img | Das zu speichernde Bild
  type | Dateityp z.b. jpg
  file | Wo die datei zu speichern ist

Exceptions

  IOException |

The documentation for this class was generated from the following file:

- src/tourplaner/business/FileHelper.java